<html devsite>
  <head>
    <title>Pixel&hairsp;/&hairsp;Nexus Security Bulletins</title>
    <meta name="project_path" value="/_project.yaml" />
    <meta name="book_path" value="/_book.yaml" />
  </head>
  <body>
  <!--
      Copyright 2017 The Android Open Source Project

      Licensed under the Apache License, Version 2.0 (the "License");
      you may not use this file except in compliance with the License.
      You may obtain a copy of the License at

          http://www.apache.org/licenses/LICENSE-2.0

      Unless required by applicable law or agreed to in writing, software
      distributed under the License is distributed on an "AS IS" BASIS,
      WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
      See the License for the specific language governing permissions and
      limitations under the License.
  -->


<p>This page contains the available Pixel&hairsp;/&hairsp;Nexus monthly
bulletins. These bulletins supplement the
<a href="/security/bulletin">Android Security Bulletins</a> with
additional security patches and functional improvements on Pixel and Nexus
devices. These bulletins apply to
<a href="https://support.google.com/nexus/answer/4457705">supported Pixel and
Nexus devices</a>.</p>

<h3 id="notification">Notifications</h3>
<p>Pixel and Nexus devices start receiving OTA updates on the same day the
monthly bulletin is released. In general, it takes about one and a half calendar
weeks for the OTA to reach every Nexus device. The Nexus firmware images are
also released each month to the
<a href="https://developers.google.com/android/nexus/images">Google Developer
site</a>.
</p>
<h3 id="sources">Sources</h3>

<p>Patches listed in the Pixel&hairsp;/&hairsp;Nexus bulletin come from various
sources: the Android Open Source Project (AOSP), the upstream Linux kernel,
and system-on-chip (SOC) manufacturers. Android platform fixes are merged into
AOSP 24&ndash;48 hours after the Pixel&hairsp;/&hairsp;Nexus bulletin is released.</p>

<h3 id="bulletins">Bulletins</h3>

<table>
  <col width="15%">
  <col width="49%">
  <col width="17%">
  <col width="19%">
 <tr>
    <th>Bulletin</th>
    <th>Languages</th>
    <th>Published date</th>
    <th>Security patch level</th>
 </tr>
  <tr>
    <td><a href="/security/bulletin/pixel/2018-11-01.html">November 2018</a></td>
    <td>
     <a href="/security/bulletin/pixel/2018-11-01.html">English</a>&nbsp;/
     <a href="/security/bulletin/pixel/2018-11-01.html?hl=ja">日本語</a>&nbsp;/
     <a href="/security/bulletin/pixel/2018-11-01.html?hl=ko">한국어</a>&nbsp;/
     <a href="/security/bulletin/pixel/2018-11-01.html?hl=ru">ру́сский</a>&nbsp;/
     <a href="/security/bulletin/pixel/2018-11-01.html?hl=zh-cn">中文&nbsp;(中国)</a>&nbsp;/
     <a href="/security/bulletin/pixel/2018-11-01.html?hl=zh-tw">中文&nbsp;(台灣)</a>
    </td>
    <td>November 5, 2018</td>
    <td>2018-11-05</td>
 </tr>
 <tr>
    <td><a href="/security/bulletin/pixel/2018-10-01.html">October 2018</a></td>
    <td>
     <a href="/security/bulletin/pixel/2018-10-01.html">English</a>&nbsp;/
     <a href="/security/bulletin/pixel/2018-10-01.html?hl=ja">日本語</a>&nbsp;/
     <a href="/security/bulletin/pixel/2018-10-01.html?hl=ko">한국어</a>&nbsp;/
     <a href="/security/bulletin/pixel/2018-10-01.html?hl=ru">ру́сский</a>&nbsp;/
     <a href="/security/bulletin/pixel/2018-10-01.html?hl=zh-cn">中文&nbsp;(中国)</a>&nbsp;/
     <a href="/security/bulletin/pixel/2018-10-01.html?hl=zh-tw">中文&nbsp;(台灣)</a>
    </td>
    <td>October 1, 2018</td>
    <td>2018-10-05</td>
 </tr>
 <tr>
    <td><a href="/security/bulletin/pixel/2018-09-01.html">September 2018</a></td>
    <td>
     <a href="/security/bulletin/pixel/2018-09-01.html">English</a>&nbsp;/
     <a href="/security/bulletin/pixel/2018-09-01.html?hl=ja">日本語</a>&nbsp;/
     <a href="/security/bulletin/pixel/2018-09-01.html?hl=ko">한국어</a>&nbsp;/
     <a href="/security/bulletin/pixel/2018-09-01.html?hl=ru">ру́сский</a>&nbsp;/
     <a href="/security/bulletin/pixel/2018-09-01.html?hl=zh-cn">中文&nbsp;(中国)</a>&nbsp;/
     <a href="/security/bulletin/pixel/2018-09-01.html?hl=zh-tw">中文&nbsp;(台灣)</a>
    </td>
    <td>September 4, 2018</td>
    <td>2018-09-05</td>
 </tr>
 <tr>
    <td><a href="/security/bulletin/pixel/2018-08-01.html">August 2018</a></td>
    <td>
     <a href="/security/bulletin/pixel/2018-08-01.html">English</a>&nbsp;/
     <a href="/security/bulletin/pixel/2018-08-01.html?hl=ja">日本語</a>&nbsp;/
     <a href="/security/bulletin/pixel/2018-08-01.html?hl=ko">한국어</a>&nbsp;/
     <a href="/security/bulletin/pixel/2018-08-01.html?hl=ru">ру́сский</a>&nbsp;/
     <a href="/security/bulletin/pixel/2018-08-01.html?hl=zh-cn">中文&nbsp;(中国)</a>&nbsp;/
     <a href="/security/bulletin/pixel/2018-08-01.html?hl=zh-tw">中文&nbsp;(台灣)</a>
    </td>
    <td>August 6, 2018</td>
    <td>2018-08-05</td>
 </tr>
 <tr>
   <td><a href="/security/bulletin/pixel/2018-07-01.html">July 2018</a></td>
   <td>
     <a href="/security/bulletin/pixel/2018-07-01.html">English</a>&nbsp;/
     <a href="/security/bulletin/pixel/2018-07-01.html?hl=ja">日本語</a>&nbsp;/
     <a href="/security/bulletin/pixel/2018-07-01.html?hl=ko">한국어</a>&nbsp;/
     <a href="/security/bulletin/pixel/2018-07-01.html?hl=ru">ру́сский</a>&nbsp;/
     <a href="/security/bulletin/pixel/2018-07-01.html?hl=zh-cn">中文&nbsp;(中国)</a>&nbsp;/
     <a href="/security/bulletin/pixel/2018-07-01.html?hl=zh-tw">中文&nbsp;(台灣)</a>
   </td>
   <td>July 2, 2018</td>
   <td>2018-07-05</td>
 </tr>
 <tr>
   <td><a href="/security/bulletin/pixel/2018-06-01.html">June 2018</a></td>
   <td>
     <a href="/security/bulletin/pixel/2018-06-01.html">English</a>&nbsp;/
     <a href="/security/bulletin/pixel/2018-06-01.html?hl=ja">日本語</a>&nbsp;/
     <a href="/security/bulletin/pixel/2018-06-01.html?hl=ko">한국어</a>&nbsp;/
     <a href="/security/bulletin/pixel/2018-06-01.html?hl=ru">ру́сский</a>&nbsp;/
     <a href="/security/bulletin/pixel/2018-06-01.html?hl=zh-cn">中文&nbsp;(中国)</a>&nbsp;/
     <a href="/security/bulletin/pixel/2018-06-01.html?hl=zh-tw">中文&nbsp;(台灣)</a>
   </td>
   <td>June 4, 2018</td>
   <td>2018-06-05</td>
 </tr>
  <tr>
   <td><a href="/security/bulletin/pixel/2018-05-01.html">May 2018</a></td>
   <td>
     <a href="/security/bulletin/pixel/2018-05-01.html">English</a>&nbsp;/
     <a href="/security/bulletin/pixel/2018-05-01.html?hl=ja">日本語</a>&nbsp;/
     <a href="/security/bulletin/pixel/2018-05-01.html?hl=ko">한국어</a>&nbsp;/
     <a href="/security/bulletin/pixel/2018-05-01.html?hl=ru">ру́сский</a>&nbsp;/
     <a href="/security/bulletin/pixel/2018-05-01.html?hl=zh-cn">中文&nbsp;(中国)</a>&nbsp;/
     <a href="/security/bulletin/pixel/2018-05-01.html?hl=zh-tw">中文&nbsp;(台灣)</a>
   </td>
   <td>May 7, 2018</td>
   <td>2018-05-05</td>
 </tr>
 <tr>
   <td><a href="/security/bulletin/pixel/2018-04-01.html">April 2018</a></td>
   <td>
     <a href="/security/bulletin/pixel/2018-04-01.html">English</a>&nbsp;/
     <a href="/security/bulletin/pixel/2018-04-01.html?hl=ja">日本語</a>&nbsp;/
     <a href="/security/bulletin/pixel/2018-04-01.html?hl=ko">한국어</a>&nbsp;/
     <a href="/security/bulletin/pixel/2018-04-01.html?hl=ru">ру́сский</a>&nbsp;/
     <a href="/security/bulletin/pixel/2018-04-01.html?hl=zh-cn">中文&nbsp;(中国)</a>&nbsp;/
     <a href="/security/bulletin/pixel/2018-04-01.html?hl=zh-tw">中文&nbsp;(台灣)</a>
   </td>
   <td>April 2, 2018</td>
   <td>2018-04-05</td>
 </tr>
 <tr>
    <td><a href="/security/bulletin/pixel/2018-03-01.html">March 2018</a></td>
    <td>
     <a href="/security/bulletin/pixel/2018-03-01.html">English</a>&nbsp;/
     <a href="/security/bulletin/pixel/2018-03-01.html?hl=ja">日本語</a>&nbsp;/
     <a href="/security/bulletin/pixel/2018-03-01.html?hl=ko">한국어</a>&nbsp;/
     <a href="/security/bulletin/pixel/2018-03-01.html?hl=ru">ру́сский</a>&nbsp;/
     <a href="/security/bulletin/pixel/2018-03-01.html?hl=zh-cn">中文&nbsp;(中国)</a>&nbsp;/
     <a href="/security/bulletin/pixel/2018-03-01.html?hl=zh-tw">中文&nbsp;(台灣)</a>
    </td>
    <td>March 5, 2018</td>
    <td>2018-03-05</td>
 </tr>
 <tr>
    <td><a href="/security/bulletin/pixel/2018-02-01.html">February 2018</a></td>
    <td>
     <a href="/security/bulletin/pixel/2018-02-01.html">English</a>&nbsp;/
     <a href="/security/bulletin/pixel/2018-02-01.html?hl=ja">日本語</a>&nbsp;/
     <a href="/security/bulletin/pixel/2018-02-01.html?hl=ko">한국어</a>&nbsp;/
     <a href="/security/bulletin/pixel/2018-02-01.html?hl=ru">ру́сский</a>&nbsp;/
     <a href="/security/bulletin/pixel/2018-02-01.html?hl=zh-cn">中文&nbsp;(中国)</a>&nbsp;/
     <a href="/security/bulletin/pixel/2018-02-01.html?hl=zh-tw">中文&nbsp;(台灣)</a>
    </td>
    <td>February 5, 2018</td>
    <td>2018-02-05</td>
 </tr>
 <tr>
    <td><a href="/security/bulletin/pixel/2018-01-01.html">January 2018</a></td>
    <td>
     <a href="/security/bulletin/pixel/2018-01-01.html">English</a>&nbsp;/
     <a href="/security/bulletin/pixel/2018-01-01.html?hl=ja">日本語</a>&nbsp;/
     <a href="/security/bulletin/pixel/2018-01-01.html?hl=ko">한국어</a>&nbsp;/
     <a href="/security/bulletin/pixel/2018-01-01.html?hl=ru">ру́сский</a>&nbsp;/
     <a href="/security/bulletin/pixel/2018-01-01.html?hl=zh-cn">中文&nbsp;(中国)</a>&nbsp;/
     <a href="/security/bulletin/pixel/2018-01-01.html?hl=zh-tw">中文&nbsp;(台灣)</a>
    </td>
    <td>January 2, 2018</td>
    <td>2018-01-05</td>
 </tr>
 <tr>
    <td><a href="/security/bulletin/pixel/2017-12-01.html">December 2017</a></td>
    <td>
     <a href="/security/bulletin/pixel/2017-12-01.html">English</a>&nbsp;/
     <a href="/security/bulletin/pixel/2017-12-01.html?hl=ja">日本語</a>&nbsp;/
     <a href="/security/bulletin/pixel/2017-12-01.html?hl=ko">한국어</a>&nbsp;/
     <a href="/security/bulletin/pixel/2017-12-01.html?hl=ru">ру́сский</a>&nbsp;/
     <a href="/security/bulletin/pixel/2017-12-01.html?hl=zh-cn">中文&nbsp;(中国)</a>&nbsp;/
     <a href="/security/bulletin/pixel/2017-12-01.html?hl=zh-tw">中文&nbsp;(台灣)</a>
    </td>
    <td>December 4, 2017</td>
    <td>2017-12-05</td>
 </tr>
 <tr>
    <td><a href="/security/bulletin/pixel/2017-11-01.html">November 2017</a></td>
    <td>
     <a href="/security/bulletin/pixel/2017-11-01.html">English</a>&nbsp;/
     <a href="/security/bulletin/pixel/2017-11-01.html?hl=ja">日本語</a>&nbsp;/
     <a href="/security/bulletin/pixel/2017-11-01.html?hl=ko">한국어</a>&nbsp;/
     <a href="/security/bulletin/pixel/2017-11-01.html?hl=ru">ру́сский</a>&nbsp;/
     <a href="/security/bulletin/pixel/2017-11-01.html?hl=zh-cn">中文&nbsp;(中国)</a>&nbsp;/
     <a href="/security/bulletin/pixel/2017-11-01.html?hl=zh-tw">中文&nbsp;(台灣)</a>
    </td>
    <td>November 6, 2017</td>
    <td>2017-11-05</td>
 </tr>
 <tr>
    <td><a href="/security/bulletin/pixel/2017-10-01.html">October 2017</a></td>
    <td>
     <a href="/security/bulletin/pixel/2017-10-01.html">English</a>&nbsp;/
     <a href="/security/bulletin/pixel/2017-10-01.html?hl=ja">日本語</a>&nbsp;/
     <a href="/security/bulletin/pixel/2017-10-01.html?hl=ko">한국어</a>&nbsp;/
     <a href="/security/bulletin/pixel/2017-10-01.html?hl=ru">ру́сский</a>&nbsp;/
     <a href="/security/bulletin/pixel/2017-10-01.html?hl=zh-cn">中文&nbsp;(中国)</a>&nbsp;/
     <a href="/security/bulletin/pixel/2017-10-01.html?hl=zh-tw">中文&nbsp;(台灣)</a>
    </td>
    <td>October 2, 2017</td>
    <td>2017-10-05</td>
 </tr>
</table>
  </body>
</html>
